> For the complete documentation index, see [llms.txt](https://docs.powerpointgeneratorapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powerpointgeneratorapi.com/api-reference/usage.md).

# /usage

Use this endpoint to learn about your usage data.

## /usage

<mark style="color:green;">`GET`</mark> `https://gen.powerpointgeneratorapi.com/v1.0/usage`

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer \<token> |

{% tabs %}
{% tab title="200: OK" %}

```json
{
  "result": {
    "usedSlideCount": 0,
    "plan": "small_business",
    "allowedSlideCount": 1500,
    "subscriptions": [],
    "resetDate": "22 August 2026",
    "totalApiCallCount": 0,
    "successfulApiCallCount": 0,
    "failedApiCallCount": 0,
    "previousMonthUsedSlideCount": 156,
    "subscriptionStartDate": "datetime"
  },
  "isSuccess": true,
  "message": null,
  "fileName": null,
  "fileNameFullPath": null,
  "isValidJson": false,
  "resultType": 0
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    "statusCode": 400,
    "message": "Invalid input parameters",
    "details": "{more information}",
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
  "statusCode": 401,
  "message": "Unauthorized",
  "detail": "The bearer token is missing, expired, or invalid."
}
```

{% endtab %}

{% tab title="429:  Too Many Requests" %}

```json
{
  "statusCode": 429,
  "message": "Too Many Requests - usage or rate limit exceeded",
  "detail": "Too many requests: monthly slide limit exceeded."
}
```

{% endtab %}

{% tab title="500: Internal Server Error" %}

```json
{
  "statusCode": 429,
  "title": "Error",
  "detail": "An error occurred while generating the presentation. See server logs for details."
}
```

{% endtab %}
{% endtabs %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```http
curl --location 'https://gen.powerpointgeneratorapi.com/v1/usage'
--header 'Accept: application/json'
--header 'Authorization: Bearer {add_your_token_here}'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

response = requests.get(
    "https://gen.powerpointgeneratorapi.com/v1/usage",
    headers={
        "Accept": "application/json",
        "Authorization": "Bearer {add_your_token_here}",
    },
)

print(response.json())
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const response = await fetch("https://gen.powerpointgeneratorapi.com/v1/usage", {
  method: "GET",
  headers: {
    "Accept": "application/json",
    "Authorization": "Bearer {add_your_token_here}",
  },
});

const data = await response.json();
console.log(data);
```

{% endtab %}
{% endtabs %}
